Bug 1265422 - [gdm] black screen requiring hard reset after logging out from GNOME session
[gdm] black screen requiring hard reset after logging out from GNOME session
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 17:51 EDT by Joachim Frieben
Modified: 2016-03-05 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 17:10:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2015-09-22 17:51:03 EDT
Description of problem:
After logging out from a GNOME session, the screen remains black, and the system requires a hard reset to recover.

Version-Release number of selected component (if applicable):
gdm-3.17.92-1.fc23

How reproducible:
Always

Steps to Reproduce:
1. Log out from a GNOME session.

Actual results:
Screen turns black and remains like this.

Expected results:
Graphical login appears.

Additional info:
- recent issue possibly related to Xorg upgrade to ABI version 1.18.
- switching to a virtual console by typing ctrl-alt-f2 or similar followed by ctrl-alt-del has no effect; therefore, the system needs to be powered off by pressing the power button.
- after logging out from a GNOME Wayland session, in addition, the screen is powered off.
Comment 1 Joachim Frieben 2015-09-22 17:53:51 EDT
The video chip is an AMD RV620, and the corresponding driver package is xorg-x11-drv-ati-7.6.0-0.1.20150709git95f5d09.fc23
Comment 2 Ray Strode [halfline] 2015-09-23 14:55:22 EDT
this is a mutter bug that's fixed in 3.18.0
Comment 3 Joachim Frieben 2015-10-09 08:47:38 EDT
Issue still present when running Fedora 23 in a virtual machine with gnome-boxes, even for final GNOME 3.18 including mutter-3.18.0-1.fc23.

Note You need to log in before you can comment on or make changes to this bug.